*,
:after,
:before {
    box-sizing: border-box;
}

@media (max-width: 959px) {
    * {
        -webkit-tap-highlight-color: transparent;
    }
}

@supports (-webkit-appearance: none) {
    :root {
        --body-scrollbar-width: 15px;
    }
}

body {
    --body-container-width: calc(100vw - var(--body-scrollbar-width));

    font-family: var(--font-body-family);
    font-size: var(--font-body-base);
    font-style: var(--font-body-style);
    font-weight: var(--font-body-weight);
    letter-spacing: var(--font-body-letter-spacing);
    line-height: var(--font-body-line-height);
    margin: 0;
    width: 100%;
    overscroll-behavior-y: contain;
    /* -webkit-overflow-scrolling: touch; */
}

body,
html {
    background-color: rgb(var(--color-page-background));
    color: rgba(var(--color-text));
    overscroll-behavior-y: contain;
}

ol,
ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

dl {
    margin-block: 0;
}

dd {
    margin-inline-start: 0;
}

a:empty,
article:empty,
dl:empty,
h1:empty,
h2:empty,
h3:empty,
h4:empty,
h5:empty,
h6:empty,
ol:empty,
p:empty,
section:empty,
summary:empty,
ul:empty {
    display: none;
}

a:not([href]) {
    cursor: not-allowed;
}

a:not(.button),
a:not(.button):hover {
    color: rgba(var(--color-button-text-link, --color-text), 1);
    text-decoration: none;
}

svg.icon circle,
svg.icon path {
    vector-effect: non-scaling-stroke;
}

p:first-child {
    margin-block-start: 0;
}

p:last-child {
    margin-block-end: 0;
}

button {
    color: inherit;
}

button:disabled {
    opacity: 0.3;
}

summary {
    cursor: pointer;
    display: inline-block;
    list-style: none;
    position: relative;
    user-select: none;
}

summary::-webkit-details-marker {
    display: none;
}

:root {
    --body-scrollbar-width: 17px;
    --z-index-hover: 1;
    --z-index-active: 2;
    --z-index-focus: 3;
    --z-index-dropdown: 1000;
    --z-index-sticky: 1010;
    --z-index-fixed: 1020;
    --z-index-modal: 1030;
    --z-index-popover: 1040;
    --z-index-tooltip: 1050;
    --z-index-toast: 1060;
    --page-padding: 30px;
    --section-spacing-small: 40px;
    --section-spacing-large: 80px;
    --spacing-tight: 8px;
    --spacing-base: 16px;
    --spacing-loose: 24px;
    --spacing-extra-loose: 32px;
    --font-heading-h1: calc(var(--font-heading-scale) * 2.3333);
    --font-heading-h2: calc(var(--font-heading-scale) * 1.6667);
    --font-heading-h3: calc(var(--font-heading-scale) * 1.2);
    --font-heading-h4: calc(var(--font-heading-scale) * 1);
    --font-heading-h5: calc(var(--font-heading-scale) * 0.8333);
    --font-heading-h6: calc(var(--font-heading-scale) * 0.6667);
    --font-body-2xl: calc(var(--font-body-scale) * 1.5714);
    --font-body-xl: calc(var(--font-body-scale) * 1.2857);
    --font-body-lg: calc(var(--font-body-scale) * 1.1429);
    --font-body-base: calc(var(--font-body-scale) * 1);
    --font-body-sm: calc(var(--font-body-scale) * 0.928);
    --font-body-xs: calc(var(--font-body-scale) * 0.8571);
}

@media (max-width: 960px) {
    :root {
        --page-padding: 20px;
        --section-spacing-small: 30px;
        --section-spacing-large: 60px;
        --spacing-tight: 6px;
        --spacing-base: 12px;
        --spacing-loose: 20px;
        --spacing-extra-loose: 28px;
        --font-heading-h1: calc(var(--font-heading-scale) * 1.1429);
        --font-heading-h2: calc(var(--font-heading-scale) * 1);
        --font-heading-h3: calc(var(--font-heading-scale) * 0.8333);
        --font-heading-h4: calc(var(--font-heading-scale) * 0.7333);
        --font-heading-h5: calc(var(--font-heading-scale) * 0.6667);
        --font-heading-h6: calc(var(--font-heading-scale) * 0.6);
        --font-body-2xl: calc(var(--font-body-scale) * 1.1429);
        --font-body-xl: calc(var(--font-body-scale) * 1.0714);
        --font-body-lg: calc(var(--font-body-scale) * 1);
        --font-body-base: calc(var(--font-body-scale) * 0.9286);
        --font-body-sm: calc(var(--font-body-scale) * 0.8571);
        --font-body-xs: calc(var(--font-body-scale) * 0.8571);
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes animation-fade-in {
    0% {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes animation-fade-in-center {
    0% {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes animation-zoom-in {
    0% {
        opacity: 0;
        transform: scaleY(0.8);
    }

    to {
        opacity: 1;
        transform: scaleY(1);
    }
}

@keyframes animation-slide-in {
    0% {
        opacity: 0;
        transform: translateY(-10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes animation-slide-in-top {
    0% {
        opacity: 0;
        transform: translateY(-100%);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes animation-slide-in-bottom {
    0% {
        opacity: 0;
        transform: translateY(100%);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes animation-slide-in-left {
    0% {
        opacity: 0;
        transform: translateX(-100%);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes animation-slide-in-right {
    0% {
        opacity: 0;
        transform: translateX(100%);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes animation-circling {
    0% {
        transform: rotate(0);
    }

    to {
        transform: rotate(1turn);
    }
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-heading-family);
    font-style: var(--font-heading-style);
    font-weight: var(--font-heading-weight, 700);
    letter-spacing: var(--font-heading-letter-spacing);
    line-height: var(--font-heading-line-height);
    margin-block: 0;
    text-transform: var(--font-heading-text-transform);
    word-break: break-word;
}

.h1,
h1 {
    font-size: var(--font-heading-h1);
}

.h2,
h2 {
    font-size: var(--font-heading-h2);
}

.h3,
h3 {
    font-size: var(--font-heading-h3);
}

.h4,
h4 {
    font-size: var(--font-heading-h4);
}

.h5,
h5 {
    font-size: var(--font-heading-h5);
}

.h6,
h6 {
    font-size: var(--font-heading-h6);
}

.body-font,
.text-2xl,
.text-base,
.text-lg,
.text-sm,
.text-xl,
.text-xs {
    font-family: var(--font-body-family);
    font-weight: var(--font-body-weight, 400);
    letter-spacing: var(--font-body-letter-spacing);
    line-height: var(--font-body-line-height);
    word-break: break-word;
}

.text-2xl {
    font-size: var(--font-body-2xl);
}

.text-xl {
    font-size: var(--font-body-xl);
}

.text-lg {
    font-size: var(--font-body-lg);
}

.text-base {
    font-size: var(--font-body-base);
}

.text-sm {
    font-size: var(--font-body-sm);
}

.text-xs {
    font-size: var(--font-body-xs);
}

.title-font-bold {
    font-weight: var(--font-heading-weight) !important;
}

.body-font-bold {
    font-weight: var(--font-body-weight-bold) !important;
}

.font-bold {
    font-weight: 700;
}

.flex {
    display: flex;
}

.flex-col {
    flex-direction: column;
}

.flex-row {
    flex-direction: row;
}

.items-center {
    align-items: center;
}

.items-start {
    align-items: flex-start;
}

.items-end {
    align-items: flex-end;
}

.items-stretch {
    align-items: stretch;
}

.justify-center {
    justify-content: center;
}

.justify-start {
    justify-content: flex-start;
}

.justify-end {
    justify-content: flex-end;
}

.justify-between {
    justify-content: space-between;
}

.justify-around {
    justify-content: space-around;
}

.flex-center {
    justify-content: center;
}

.flex-align-center,
.flex-center {
    align-items: center;
    display: flex;
}

.flex-justify-center {
    display: flex;
    justify-content: center;
}

.block-full-width {
    display: block;
    width: 100%;
}

.relative {
    position: relative;
}

.absolute {
    position: absolute;
}

.fixed {
    position: fixed;
}

.sticky {
    position: sticky;
}

.page-width {
    margin-inline: auto;
    max-width: calc(var(--page-padding) * 2 + var(--page-width));
    padding-inline: var(--page-padding);
    width: 100%;
}

.page-width.page-width--fluid {
    max-width: 100%;
}

.page-width.page-width--thin {
    max-width: 726px;
}

@media (max-width: 959px) {
    .page-width {
        max-width: 100%;
        padding-inline: var(--page-padding);
    }
}

.grid {
    --column-gap: var(--grid-horizontal-spacing);
    --row-gap: var(--grid-vertical-spacing);
    display: grid;
    gap: var(--row-gap) var(--column-gap);
    grid-auto-columns: var(--column-width);
    grid-auto-flow: column;
    overflow-x: auto;
    width: 100%;
    -webkit-overflow-scrolling: touch;
}

@media (max-width: 959px) {
    .grid {
        --column-gap: calc(var(--grid-horizontal-spacing) / 2);
        --row-gap: calc(var(--grid-vertical-spacing) / 2);
        --column-width: calc((100% - var(--column-gap, 0px) * (var(--mobile-gap-columns, var(--mobile-columns)) - 1)) / var(--mobile-columns));
        grid-auto-flow: var(--mobile-auto-flow);
        grid-template-columns: repeat(var(--mobile-columns), var(--column-width));
    }
}

@media (min-width: 960px) {
    .grid {
        --column-width: calc((100% - var(--column-gap, 0px) * (var(--desktop-gap-columns, var(--desktop-columns)) - 1)) / var(--desktop-columns));
        grid-auto-flow: var(--desktop-auto-flow);
        grid-template-columns: repeat(var(--desktop-columns), var(--column-width));
    }
}

.w-full {
    width: 100%;
}

.w-auto {
    width: auto;
}

.w-fit {
    width: fit-content;
}

.h-full {
    height: 100%;
}

.h-auto {
    height: auto;
}

.h-fit {
    height: fit-content;
}

.min-h-full {
    min-height: 100%;
}

.max-w-full {
    max-width: 100%;
}

.max-h-full {
    max-height: 100%;
}

.block {
    display: block;
}

.inline {
    display: inline;
}

.inline-block {
    display: inline-block;
}

.visible {
    visibility: visible;
}

.invisible {
    visibility: hidden;
}

.hidden {
    display: none !important;
}

@media (max-width: 959px) {
    .hidden-mobile {
        display: none !important;
    }
}

@media (min-width: 960px) {
    .hidden-desktop {
        display: none !important;
    }
}

.hidden-empty:empty {
    display: none;
}

.overflow-hidden {
    overflow: hidden;
}

.overflow-auto {
    overflow: auto;
}

.overflow-scroll {
    overflow: scroll;
}

.overflow-visible {
    overflow: visible;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: start;
}

.text-right {
    text-align: end;
}

.text-justify {
    text-align: justify;
}

.truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.border {
    border: 1px solid;
}

.border-0 {
    border: 0;
}

.border-t {
    border-top: 1px solid;
}

.border-b {
    border-bottom: 1px solid;
}

.border-l {
    border-left: 1px solid;
}

.border-r {
    border-right: 1px solid;
}

.rounded-none {
    border-radius: 0;
}

.rounded-sm {
    border-radius: var(--radius-sm, 4px);
}

.rounded {
    border-radius: var(--radius-md, 8px);
}

.rounded-lg {
    border-radius: var(--radius-lg, 12px);
}

.rounded-full {
    border-radius: var(--radius-full, 50%);
}

.shadow-none {
    box-shadow: none;
}

.shadow-sm {
    box-shadow: var(--shadow-sm, 0 1px 2px 0 rgba(0, 0, 0, 0.05));
}

.shadow {
    box-shadow: var(--shadow-md, 0 4px 6px -1px rgba(0, 0, 0, 0.1));
}

.shadow-lg {
    box-shadow: var(--shadow-lg, 0 10px 15px -3px rgba(0, 0, 0, 0.1));
}

.list-unstyled,
.tag-unstyled {
    margin: 0;
    padding: 0;
}

.list-unstyled {
    list-style: none;
}

.hover-scale .hover-scale__image {
    transition: all 0.5s;
}

.hover-scale:hover .hover-scale__image {
    transform: scale(1.05);
}

.pointer-events {
    pointer-events: none;
}

.rte:after {
    clear: both;
    content: "";
    display: block;
}

.rte ol,
.rte ul {
    list-style: revert;
    margin: revert;
    padding: revert;
}

.rte>p:first-child {
    margin-block-start: 0;
}

.rte>p:last-child {
    margin-block-end: 0;
}

.rte a,
.rte a:hover {
    padding: 0 1px;
    position: relative;
    text-decoration: underline;
    text-decoration-thickness: 1px;
    text-underline-offset: 6px;
}

.rte img,
.rte video {
    height: auto;
    max-width: 100%;
}

.rte iframe {
    max-width: 100%;
}

.rte p img {
    vertical-align: bottom;
}

.rte table {
    border-collapse: collapse;
    table-layout: fixed;
    width: 100%;
}

.rte table td,
.rte table th {
    border: 1px solid rgba(var(--color-text), 0.2);
    padding: 8px 12px;
    word-break: break-all;
}

.rte table th {
    background-color: rgba(var(--color-text), 0.05);
}

.icon--checkbox {
    cursor: pointer;
}

.icon--checkbox .filled {
    opacity: 0;
    fill: rgba(var(--color-text, 61, 56, 25), 1);
    stroke: rgba(var(--color-text, 61, 56, 25), 1);
    transition: opacity 0.1s ease;
}

.icon--checkbox .checkmark {
    stroke: rgba(var(--color-button-text, 255, 255, 255), 1);
    transition: stroke-dashoffset 0.3s ease;
}

input:checked~.icon--checkbox .filled {
    opacity: 1;
}

input:checked~.icon--checkbox .box {
    stroke: rgba(var(--color-entry-line, 232, 232, 225), 1);
}

input:checked~.icon--checkbox .checkmark {
    stroke-dashoffset: 0;
}

.button,
.shopline-element-buy-now {
    align-items: center;
    background-color: rgb(var(--color-button-background));
    border: none;
    border-radius: var(--button-border-radius);
    color: rgb(var(--color-button-text));
    cursor: pointer;
    display: inline-flex;
    font-family: var(--font-body-family);
    font-size: var(--font-body-base);
    font-weight: var(--body-bold-font-weight);
    justify-content: center;
    letter-spacing: var(--font-body-letter-spacing);
    line-height: var(--font-body-line-height);
    padding: calc(var(--button-border-thickness) + 9px) calc(var(--button-border-thickness) + 18px);
    position: relative;
    text-align: center;
    text-decoration: none;
    transition: all 0.15s ease-in-out;
    user-select: none;
    vertical-align: middle;
    white-space: nowrap;
    --border-opacity: calc(100% - var(--button-border-opacity));
    --alpha-button-background: 1;
}

.button:not([data-reduce-motion]):hover,
.shopline-element-buy-now:not([data-reduce-motion]):hover {
    transform: scale(1.05);
}

.button:not(.button--link, .button--icon),
.shopline-element-buy-now {
    box-shadow: var(--button-shadow-offset-x) var(--button-shadow-offset-y) var(--button-shadow-blur) rgba(var(--color-shadow), var(--button-shadow-opacity));
    white-space: nowrap;
}

.button:not(.button--link, .button--icon):after,
.shopline-element-buy-now:after {
    border-radius: var(--button-border-radius);
    box-shadow: 0 0 0 var(--button-border-thickness, 1px) rgba(var(--color-button-text), var(--border-opacity)),
        0 0 0 var(--button-border-thickness, 1px) rgba(var(--color-button-background), var(--alpha-button-background));
    content: "";
    height: 100%;
    inset-block-start: 0;
    inset-inline-start: 0;
    position: absolute;
    transition: box-shadow var(--duration-short, 0.3s) ease;
    width: 100%;
    z-index: 1;
}

.button.disabled,
.button:disabled {
    cursor: not-allowed;
    opacity: 0.3;
}

.button:not([disabled], .button--icon):hover,
.shopline-element-buy-now:hover {
    background-color: rgba(var(--color-button-background), 0.9);
}

.button:not([disabled], .button--icon):after {
    content: "";
    display: block;
    height: 100%;
    pointer-events: none;
    position: absolute;
    width: 100%;
}

.button:not([disabled], .button--icon):active:after {
    animation: animation-button-press 0.6s linear 1;
    animation-fill-mode: forwards;
}

@keyframes animation-button-press {
    0% {
        background-color: rgba(var(--color-button-text), 0.08);
        background-image: radial-gradient(circle, rgba(var(--color-button-text), 0.08) 1%, transparent 1%);
        background-origin: padding-box;
        background-position: 50%;
        background-repeat: no-repeat;
        background-size: 100%;
    }

    to {
        background-position: 50%;
        background-size: 25000%;
    }
}

.button--secondary {
    --color-button-background: var(--color-button-secondary-background);
    --color-button-text: var(--color-button-secondary-text);
    --border-opacity: var(--button-border-opacity);
}

.button--secondary:not(.button--link):after {
    box-shadow: 0 0 0 var(--button-border-thickness, 1px) rgba(var(--color-button-secondary-border), var(--button-border-opacity));
}

.button--secondary:not(.button--link):active:after {
    box-shadow: 0 0 0 rgb(var(--color-button-secondary-border)),
        inset var(--button-border-thickness, 1px) 0 0 rgba(var(--color-button-secondary-border), var(--button-border-opacity)),
        inset 0 var(--button-border-thickness, 1px) 0 rgba(var(--color-button-secondary-border), var(--button-border-opacity));
}

.button--link {
    --color-button-background: transparent;
    --color-button-text: rgb(var(--color-text));
    padding: 0 1px;
    position: relative;
    text-decoration: underline !important;
    text-underline-offset: 6px;
}

.button__spinner {
    color: rgb(var(--color-button-text));
    display: none;
    height: 20px;
    inset-block-start: 50%;
    inset-inline-start: 50%;
    margin-block-start: -10px;
    margin-inline-start: -10px;
    position: absolute;
    width: 20px;
}

.button.loading {
    color: transparent;
}

.button.loading .button__spinner {
    animation: animation-circling 1.5s linear infinite;
    display: flex;
}

.button--fill {
    width: 100%;
}

.button--icon {
    background-color: transparent;
    border: none;
    color: inherit;
    cursor: pointer;
    display: inline-flex;
    padding: 0;
    position: relative;
    text-decoration: none;
    transition: transform 0.3s;
}

.button--small {
    font-size: var(--font-body-sm);
    padding: var(--button-small-padding-vertical) var(--button-small-padding-horizontal);
}

.button--large {
    font-size: var(--font-body-lg);
    padding: var(--button-large-padding-vertical) var(--button-large-padding-horizontal);
}

@media (min-width: 960px) {

    .button--icon:focus,
    .button--icon:hover {
        transform: scale(1.11);
    }
}

.button--icon:after {
    display: none;
}

.button.button--icon:hover {
    background-color: transparent;
    box-shadow: none;
}

.loading--rotator {
    display: none;
}

.loading .loading--rotator {
    animation: animation-circling 1.5s linear infinite;
}

.loading>.loading--rotator {
    display: inline-flex;
}

.button.loading .loading--rotator {
    color: rgb(var(--color-button-text));
    content: "";
    display: flex;
    height: 20px;
    inset-block-start: 50%;
    inset-inline-start: 50%;
    margin-block-start: -10px;
    margin-inline-start: -10px;
    position: absolute;
    width: 20px;
}

.field {
    align-items: center;
    background-color: rgb(var(--color-background));
    box-sizing: border-box;
    color: rgb(var(--color-text));
    display: flex;
    flex-flow: row nowrap;
    font-size: var(--font-body-base);
    justify-content: space-between;
    line-height: var(--font-body-line-height);
    margin-block-end: 20px;
    position: relative;
    transition: all 0.3s;
    width: 100%;
}

@media (max-width: 959px) {
    .field {
        margin-block-end: 16px;
    }
}

.field:after {
    border-color: rgba(var(--color-entry-line), var(--input-border-opacity));
    border-radius: var(--input-border-radius);
    border-style: solid;
    border-width: var(--input-border-thickness);
    box-shadow: var(--input-shadow-offset-x) var(--input-shadow-offset-y) var(--input-shadow-blur) rgba(var(--color-text), var(--input-shadow-opacity));
    content: "";
    inset: 0;
    pointer-events: none;
    position: absolute;
    transition: border-color 0.3s;
    z-index: 1;
}

.field__inner {
    flex: 1;
    position: relative;
}

.field__group {
    display: flex;
    gap: 16px;
}

.field__label {
    color: rgb(var(--color-light-text));
    display: -webkit-box;
    font-size: var(--font-body-base);
    inset-block-start: 50%;
    inset-inline: 16px 0;
    overflow: hidden;
    position: absolute;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
    pointer-events: none;
    transform: translateY(-50%);
    transform-origin: left top;
    transition: transform 0.3s ease;
    word-break: break-word;
    -webkit-box-orient: vertical;
}

html[dir="rtl"] .field__label {
    transform-origin: right top;
}

.field__input {
    appearance: none;
    background: none;
    border: none;
    box-shadow: none !important;
    color: rgb(var(--color-text));
    font-size: var(--font-body-base);
    line-height: var(--font-body-line-height);
    outline: none;
    padding: 20px 16px 6px;
    width: 100%;
}

.field__input::placeholder {
    opacity: 0;
}

.field__input::-webkit-search-cancel-button {
    display: none;
}

.field__input:-webkit-autofill~.field__label,
.field__input:focus~.field__label,
.field__input:not(:placeholder-shown)~.field__label {
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    -webkit-line-clamp: 1;
    transform: scale(0.7) translateY(-120%);
    white-space: nowrap;
    word-break: normal;
    -webkit-box-orient: vertical;
}

.field__input:-webkit-autofill,
.field__input:-webkit-autofill:active,
.field__input:-webkit-autofill:focus,
.field__input:-webkit-autofill:hover {
    box-shadow: 0 0 0 1000px rgb(var(--color-background)) inset !important;
    -webkit-text-fill-color: rgb(var(--color-text));
}

.field__input.textarea {
    margin-block: 20px 6px;
    min-height: 100px;
    padding-block: 0;
    padding-inline: 16px;
    resize: none;
}

.field__input.textarea+.field__label {
    inset-block-start: 20px;
}

.field__suffix {
    display: flex;
    justify-content: center;
    padding-block: 6px;
    padding-inline-end: 10px;
}

.field__info {
    display: flex;
    font-size: 12px;
    line-height: 1.4;
}

.field__info>svg {
    margin-inline-end: 4px;
}

.field__info--error {
    color: rgb(var(--color-error-message));
    font-size: var(--font-body-xs);
    margin-block: -10px 20px;
}

.field__info--error:empty {
    display: none;
}

@media (min-width: 960px) {
    .field__info>svg {
        margin-inline-end: 8px;
    }
}

.field:hover:after {
    border-color: rgba(var(--color-text), var(--input-border-opacity));
    border-width: calc(var(--input-border-thickness) + 1px);
}

.field:focus-within:after,
.field:focus:after {
    border-color: rgba(var(--color-text), var(--input-border-opacity));
    border-width: calc(var(--input-border-thickness) + 1px);
}

.field--disabled {
    pointer-events: none;
}

.field--disabled:after {
    background-color: rgba(0, 0, 0, 0.1);
    border-color: rgba(0, 0, 0, 0.1);
}

.field--error:after {
    border-color: rgba(var(--color-error-message), var(--input-border-opacity));
    border-width: calc(var(--input-border-thickness) + 1px);
}

.field--normal .field__input {
    padding: 13px 16px;
}

.field--normal .field__input::placeholder {
    opacity: 1;
}

.field--normal .field__input:-webkit-autofill~.field__label,
.field--normal .field__input:focus~.field__label,
.field--normal .field__input:not(:placeholder-shown)~.field__label,
.field--normal .field__input~.field__label {
    display: none;
}

.field-checkbox {
    box-sizing: border-box;
    cursor: pointer;
    font-feature-settings: "tnum";
    font-size: 14px;
    font-variant: tabular-nums;
    inset-block-start: 0.2em;
    line-height: 1;
    list-style: none;
    margin: 0;
    outline: none;
    padding: 0;
    position: relative;
    white-space: nowrap;
}

.field-checkbox input[type="checkbox"] {
    appearance: auto;
    cursor: pointer;
    height: 100%;
    inset: 0;
    margin: 0;
    opacity: 0;
    position: absolute;
    width: 100%;
    z-index: 1;
}

.field-checkbox .checkbox {
    border: 1px solid rgb(var(--color-entry-line));
    border-collapse: separate;
    border-radius: 2px;
    direction: ltr;
    display: inline-block;
    height: 16px;
    inset-block-start: 0;
    inset-inline-start: 0;
    position: relative;
    transition: all 0.3s;
    width: 16px;
}

.field-checkbox .checkbox:after {
    border: 2px solid rgb(var(--color-button-text));
    border-block-start: 0;
    border-inline-start: 0;
    content: " ";
    display: table;
    height: 8px;
    inset-block-start: 50%;
    inset-inline-start: 21.5%;
    opacity: 0;
    position: absolute;
    transform: rotate(45deg) scale(0) translate(-50%, -50%);
    transition: all 0.1s cubic-bezier(0.71, -0.46, 0.88, 0.6), opacity 0.1s;
    width: 6px;
}

.field-checkbox input[type="checkbox"]:checked+.checkbox {
    background-color: rgb(var(--color-button-background));
    border-color: rgb(var(--color-button-background));
}

.field-checkbox input[type="checkbox"]:checked+.checkbox:after {
    border: 2px solid rgb(var(--color-button-text));
    border-block-start: 0;
    border-inline-start: 0;
    content: " ";
    display: table;
    opacity: 1;
    position: absolute;
    transform: rotate(45deg) scale(1) translate(-50%, -50%);
    transition: all 0.2s cubic-bezier(0.12, 0.4, 0.29, 1.46) 0.1s;
}

.field select~.icon-arrow {
    align-items: center;
    display: flex;
    inset-block: 0;
    inset-inline-end: 16px;
    margin-block: auto;
    margin-inline: auto;
    pointer-events: none;
    position: absolute;
}

.field-switch {
    display: inline-block;
    height: 20px;
    position: relative;
    width: 40px;
}

.field-switch-slider {
    background-color: rgba(var(--color-text), 0.1);
    border-radius: 20px;
    cursor: pointer;
    inset: 0;
    position: absolute;
    transition: 0.2s;
}

.field-switch-slider:before {
    background-color: rgb(var(--color-page-background));
    border-radius: 50%;
    content: "";
    height: 16px;
    inset-block-end: 2px;
    inset-inline-start: 2px;
    position: absolute;
    transition: 0.2s;
    width: 16px;
}

.field-switch input {
    height: 0;
    opacity: 0;
    width: 0;
}

.field-switch input:checked+.field-switch-slider {
    background-color: rgba(var(--color-text), 1);
}

.field-switch input:checked+.field-switch-slider:before {
    transform: translateX(20px);
}

.field-radio {
    margin-inline-end: 8px;
    position: relative;
}

.field-radio-wrapper {
    align-items: center;
    cursor: pointer;
    display: inline-flex;
    margin-inline-end: 20px;
}

.field-radio-wrapper:last-child {
    margin-inline-end: 0;
}

.field-radio .radio {
    background-color: rgb(var(--color-page-background));
    border: 1px solid rgb(var(--color-entry-line));
    border-collapse: separate;
    border-radius: 50%;
    display: block;
    height: 16px;
    inset-block-start: 0;
    inset-inline-start: 0;
    position: relative;
    transition: all 0.3s;
    width: 16px;
}

.field-radio .radio:after {
    background-color: rgb(var(--color-button-background));
    border-radius: 16px;
    content: "";
    height: 16px;
    inset-block-start: 50%;
    inset-inline-start: 50%;
    margin-block-start: -8px;
    margin-inline-start: -8px;
    opacity: 0;
    position: absolute;
    transform: scale(0);
    transition: all 0.3s cubic-bezier(0.78, 0.14, 0.15, 0.86);
    width: 16px;
}

.field-radio>input {
    cursor: pointer;
    height: 100%;
    inset: 0;
    margin: 0;
    opacity: 0;
    padding: 0;
    position: absolute;
    width: 100%;
    z-index: 1;
}

.field-radio>input:checked+.radio {
    border-color: rgb(var(--color-button-background));
}

.field-radio>input:checked+.radio:after {
    opacity: 1;
    transform: scale(0.5);
}

.form__error-message {
    color: rgb(var(--color-error-message));
    font-size: var(--font-body-xs);
    margin-block: -10px 20px;
}

.form__error-message:empty {
    display: none;
}

@media (max-width: 959px) {
    .form__error-message {
        margin-block: -8px 16px;
    }
}

@layer component {
    theme-input-number {
        background: rgb(var(--color-background));
        border-radius: var(--input-border-radius-outset);
        color: rgba(var(--color-text));
        display: inline-flex;
        position: relative;
        width: calc(var(--font-body-scale) * 3 + var(--input-border-thickness) * 2 + 60px);
    }

    theme-input-number:before {
        border-radius: var(--input-border-radius-outset);
        box-shadow: var(--input-shadow-offset-x) var(--input-shadow-offset-y) var(--input-shadow-blur) rgba(var(--color-entry-line), var(--input-shadow-opacity));
        inset: 0;
    }

    theme-input-number:after,
    theme-input-number:before {
        content: "";
        pointer-events: none;
        position: absolute;
        z-index: var(--z-index-hover);
    }

    theme-input-number:after {
        border-radius: var(--input-border-radius);
        box-shadow: 0 0 0 var(--input-border-thickness) rgba(var(--color-entry-line), var(--input-border-opacity));
        inset: var(--input-border-thickness);
        transition: box-shadow 0.2s;
    }

    theme-input-number:hover:after {
        box-shadow: 0 0 0 calc(var(--input-border-thickness) + 1px) rgba(var(--color-text), var(--input-border-opacity));
    }

    theme-input-number button[name="minus"],
    theme-input-number button[name="plus"] {
        align-items: center;
        align-self: stretch;
        background: transparent;
        border: 0;
        color: rgb(var(--color-text));
        cursor: pointer;
        display: flex;
        flex-shrink: 0;
        justify-content: center;
        padding: 0;
        width: 28px;
    }

    theme-input-number button[name="minus"]:disabled,
    theme-input-number button[name="plus"]:disabled {
        cursor: not-allowed;
        opacity: 0.3;
        pointer-events: none;
    }

    theme-input-number button[name="minus"] .icon,
    theme-input-number button[name="plus"] .icon {
        height: 10px;
        pointer-events: none;
        width: 10px;
    }

    theme-input-number input[type="number"] {
        appearance: textfield;
        background: transparent;
        border: 0;
        color: currentcolor;
        flex: 1 0 0;
        outline-style: none;
        padding: 0.6em 0;
        text-align: center;
        width: 100%;
    }

    theme-input-number input[type="number"]::-webkit-inner-spin-button,
    theme-input-number input[type="number"]::-webkit-outer-spin-button {
        appearance: none;
        margin: 0;
    }
}

.country-select {
    display: flex;
    padding-inline-start: 8px;
    position: relative;
}

.country-select__dropdown {
    appearance: none;
    border: none;
    cursor: pointer;
    inset: 0;
    opacity: 0;
    position: absolute;
}

.country-select__trigger {
    align-items: center;
    display: flex;
    padding-inline-start: 16px;
    position: relative;
}

.country-select__trigger span {
    color: rgb(var(--color-text));
    padding-inline-end: 4px;
}

.country-select__trigger:before {
    border-inline-start: 1px solid rgb(var(--color-entry-line));
    content: " ";
    height: 100%;
    inset-block-start: 0;
    inset-inline-start: 0;
    position: absolute;
}

.image-wrapper {
    align-items: center;
    background-color: #f3f3f3;
    display: flex;
    height: 100%;
    justify-content: center;
    overflow: hidden;
    position: relative;
    width: 100%;
}

.image-wrapper img,
.image-wrapper svg {
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.image-wrapper--contain img,
.image-wrapper--contain svg {
    object-fit: contain;
}

.image-wrapper--fill img,
.image-wrapper--fill svg {
    object-fit: fill;
}

@layer component {
    theme-show-more:empty {
        display: none;
    }

    theme-show-more:not([open]) .view-less,
    theme-show-more:not([open]) [data-more="true"],
    theme-show-more[open] .view-more {
        display: none !important;
    }
}

.lynx-modal__content {
    max-height: 80vh;
    max-width: 1200px;
    overflow-y: auto;
    width: 80vw;
}

@media (max-width: 959px) {
    .lynx-modal__content {
        width: 100%;
    }
}

.lynx-modal__content .quick-add-hidden {
    display: none;
}

.lynx-modal__content theme-product-detail {
    --page-padding: 24px;
    padding: var(--page-padding);
}

@media (max-width: 959px) {
    .lynx-modal__content theme-product-detail {
        --page-padding: 20px;
    }

    .lynx-modal__content theme-product-detail theme-product-media-gallery[data-mobile-layout="fullscreen"] {
        margin-block-start: calc(var(--page-padding) * -1);
    }
}

.modal-border-shadow {
    border-color: rgba(var(--color-text), var(--modal-border-opacity));
    border-radius: var(--modal-border-radius);
    border-style: solid;
    border-width: var(--modal-border-thickness);
    box-shadow: var(--modal-shadow-offset-x) var(--modal-shadow-offset-y) var(--modal-shadow-blur) rgba(var(--color-shadow), var(--modal-shadow-opacity));
    box-sizing: border-box;
}

.drawer-border-shadow {
    border-color: rgba(var(--color-text), var(--drawer-border-opacity));
    border-style: solid;
    border-width: 0 var(--drawer-border-thickness) 0 0;
    box-sizing: border-box;
    filter: drop-shadow(var(--drawer-shadow-offset-x) var(--drawer-shadow-offset-y) var(--drawer-shadow-blur) rgba(var(--color-shadow), var(--drawer-shadow-opacity)));
}

.product-card-border-shadow {
    border-color: rgba(var(--color-text), var(--product-card-border-opacity));
    border-radius: var(--product-card-border-radius);
    border-style: solid;
    border-width: var(--product-card-border-thickness) !important;
    box-shadow: var(--product-card-shadow-offset-x) var(--product-card-shadow-offset-y) var(--product-card-shadow-blur) rgba(var(--color-shadow), var(--product-card-shadow-opacity));
    box-sizing: border-box;
    overflow: hidden;
}

.collection-card-border-shadow {
    border-color: rgba(var(--color-text), var(--collection-card-border-opacity));
    border-radius: var(--collection-card-border-radius);
    border-style: solid;
    border-width: var(--collection-card-border-thickness) !important;
    box-shadow: var(--collection-card-shadow-offset-x) var(--collection-card-shadow-offset-y) var(--collection-card-shadow-blur) rgba(var(--color-shadow), var(--collection-card-shadow-opacity));
    box-sizing: border-box;
    overflow: hidden;
}

.article-card-border-shadow {
    border-color: rgba(var(--color-text), var(--article-card-border-opacity));
    border-radius: var(--article-card-border-radius);
    border-style: solid;
    border-width: var(--article-card-border-thickness) !important;
    box-shadow: var(--article-card-shadow-offset-x) var(--article-card-shadow-offset-y) var(--article-card-shadow-blur) rgba(var(--color-shadow), var(--article-card-shadow-opacity));
    box-sizing: border-box;
    overflow: hidden;
}

#main .section {
    --section-is-first: 0;
}

#main .section:empty {
    display: none;
}

#main .section:first-child {
    --section-is-first: 1;
}

#main .section [allow-transparent-header] {
    margin-block-start: calc(var(--header-height) * -1 * var(--section-is-first));
}

@keyframes fade-in-up {
    0% {
        opacity: 0.01;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.scroll-trigger[allow-transparent-header] {
    opacity: 1 !important;
    transition-property: opacity, transform;
}

@media (prefers-reduced-motion: no-preference) {
    .scroll-trigger:not(.scroll-trigger--offscreen):not([allow-transparent-header]).animate--fade-in-up {
        animation: var(--animation-fade-in-up);
        animation-delay: calc(var(--animation-order) * 75ms);
        transition: var(--m-duration-default, 0.45s) all;
    }

    .scroll-trigger.animate--fade-in,
    .scroll-trigger.animate--fade-in-left,
    .scroll-trigger.animate--fade-in-right,
    .scroll-trigger.animate--fade-in-up,
    .scroll-trigger.animate--zoom-fade {
        opacity: 0.01;
        transition-property: opacity, transform;
    }
}